variable security_vpc { type = string }
variable azs { type = list }
variable subnet_id_map { type = map }
variable tags { type = map }

variable interconnects_instance_type { type = string }
variable interconnects_key_name { type = string }
variable interconnects_count { type = number }

# Required for DNS module
variable "dns_info" { type = map }

variable "cidr_map" { type = map }
variable "instance_termination_protection" { type = bool }
variable "standard_tags" { type        = map }
variable "aws_marketplace_ubuntu_owner_id" { type        = string }
variable "environment" { type        = string }
variable "trusted_ips" { type = list }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "aws_account_id" { type = string }
variable "security_vpc_cidr" { type = string }
variable "common_services_account" { type = string }

# Legacy dns, remove this
variable "dns_public" { type = map }
variable "dns_private" { type = map }
